//Source file: CallNotificationListener.java
//Date: February 2007
//Generic Call Control for 1st draft ES 204 915-4-2 V1.1.1, DES/TISPAN-01032-04-2-OSA, Parlay 6.0

package org.csapi.jr.se.cc.gccs;

/**
 * This interface is to be implemented for receiving events issued by the CallNotification activity object.<BR>
 *
 */
public interface CallNotificationListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the callEventNotify() method on
     * the callback interface.
     *
     * @param  callEventNotifyEvent  Reference to a CallEventNotifyEvent event
     *        emmited from the impl or activity object.
     */
    void onCallEventNotifyEvent(org.csapi.jr.se.cc.gccs.CallEventNotifyEvent callEventNotifyEvent);
    

}
